Package ru.bitel.bgbilling.modules.rcmts.server.bean

# Class RCCdrItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.rcmts.server.bean.RCCdrItem

All Implemented Interfaces:
  `Serializable`, `Idable`

public class RCCdrItem extends Id
Модель записи о списании(наработке) за доп.услугу для сохранения в таблице cdr, чтобы МТС брали из этой таблицы записи и доначисляли абонентам за эти доп.услуги

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RCCdrItem()`
  `RCCdrItem(Calendar date, BigDecimal amount, int contractId, String contractTitle, int bgEntityId, String serviceTitle, boolean isService, String gaapCode)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `getAccountId()`
  `String`
  `getAccountNumber()`
  `int`
  `getAgreementId()`
  `String`
  `getAgreementNumber()`
  `BigDecimal`
  `getAmount()`
  `int`
  `getBgEntityId()`
  `String`
  `getGaapCode()`
  `String`
  `getServiceName()`
  `int`
  `getServiceObjectId()`
  `int`
  `getTariffPlanIn()`
  `String`
  `getTariffPlanName()`
  `Calendar`
  `getTransactionDate()`
  `int`
  `getTransactionId()`
  `int`
  `hashCode()`
  `boolean`
  `isService()`
  `void`
  `setAccountId(int accountId)`
  `void`
  `setAccountNumber(String accountNumber)`
  `void`
  `setAgreementId(int agreementId)`
  `void`
  `setAgreementNumber(String agreementNumber)`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setBgEntityId(int bgEntityId)`
  `void`
  `setGaapCode(String gaapCode)`
  `void`
  `setService(boolean service)`
  `void`
  `setServiceName(String serviceName)`
  `void`
  `setServiceObjectId(int serviceObjectId)`
  `void`
  `setTariffPlanIn(int tariffPlanIn)`
  `void`
  `setTariffPlanName(String tariffPlanName)`
  `void`
  `setTransactionDate(Calendar transactionDate)`
  `void`
  `setTransactionId(int transactionId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RCCdrItem

    public RCCdrItem()

  - ### RCCdrItem

    public RCCdrItem(Calendar date, BigDecimal amount, int contractId, String contractTitle, int bgEntityId, String serviceTitle, boolean isService, String gaapCode)

- ## Method Details

  - ### getTransactionId

    public int getTransactionId()

  - ### setTransactionId

    public void setTransactionId(int transactionId)

  - ### getTransactionDate

    public Calendar getTransactionDate()

  - ### setTransactionDate

    public void setTransactionDate(Calendar transactionDate)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getTariffPlanIn

    public int getTariffPlanIn()

  - ### setTariffPlanIn

    public void setTariffPlanIn(int tariffPlanIn)

  - ### getTariffPlanName

    public String getTariffPlanName()

  - ### setTariffPlanName

    public void setTariffPlanName(String tariffPlanName)

  - ### getServiceName

    public String getServiceName()

  - ### setServiceName

    public void setServiceName(String serviceName)

  - ### getGaapCode

    public String getGaapCode()

  - ### setGaapCode

    public void setGaapCode(String gaapCode)

  - ### getAgreementId

    public int getAgreementId()

  - ### setAgreementId

    public void setAgreementId(int agreementId)

  - ### getAgreementNumber

    public String getAgreementNumber()

  - ### setAgreementNumber

    public void setAgreementNumber(String agreementNumber)

  - ### getAccountId

    public int getAccountId()

  - ### setAccountId

    public void setAccountId(int accountId)

  - ### getAccountNumber

    public String getAccountNumber()

  - ### setAccountNumber

    public void setAccountNumber(String accountNumber)

  - ### getServiceObjectId

    public int getServiceObjectId()

  - ### setServiceObjectId

    public void setServiceObjectId(int serviceObjectId)

  - ### getBgEntityId

    public int getBgEntityId()

  - ### setBgEntityId

    public void setBgEntityId(int bgEntityId)

  - ### isService

    public boolean isService()

  - ### setService

    public void setService(boolean service)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Id`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Id`